import request from '@/utils/request'

// 查询视频配置列表
export function listVideoConfig(query) {
  return request({
    url: '/project/videoConfig/list',
    method: 'get',
    params: query
  })
}

// 查询视频配置详细
export function getVideoConfig(id) {
  return request({
    url: '/project/videoConfig/' + id,
    method: 'get'
  })
}

// 新增视频配置
export function addVideoConfig(data) {
  return request({
    url: '/project/videoConfig',
    method: 'post',
    data: data
  })
}

// 修改视频配置
export function updateVideoConfig(data) {
  return request({
    url: '/project/videoConfig',
    method: 'put',
    data: data
  })
}

// 删除视频配置
export function delVideoConfig(id) {
  return request({
    url: '/project/videoConfig/' + id,
    method: 'delete'
  })
}
